cURL
curl --request POST \
--url https://api.glideapps.com/apps/{appID}/uploads/{uploadID}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.glideapps.com/apps/{appID}/uploads/{uploadID}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.glideapps.com/apps/{appID}/uploads/{uploadID}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"url": "https://storage.googleapis.com/glide-uploads/example.png"
}
}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>"
}
}Uploads
Complete Upload
POST
/
apps
/
{appID}
/
uploads
/
{uploadID}
/
complete
cURL
Finalize an upload and receive the public URL for the file. Use the
Note that Glide will delete this file within 30 days if the URL is not stored in a table in Glide.
uploadID from the create upload response.
Error Responses
| Status | Description |
|---|---|
| 402 | Upload quota exceeded. The file has been deleted. |
| 409 | Upload incomplete. The file bytes were not fully uploaded to the uploadLocation. |
| 413 | File too large. The uploaded file exceeds the maximum allowed size. The file has been deleted. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the app, e.g., mT91fPcZCWigkZXgSZGJ
Example:
"mT91fPcZCWigkZXgSZGJ"
ID of the upload, e.g., upload-123
Example:
"upload-123"
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I